\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - CGAL and the Qt Graphics View Framework

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
List of all members
CGAL::Qt::GraphicsViewIsoRectangleInput< K > Class Template Reference
Input Classes

`#include <CGAL/Qt/GraphicsViewIsoRectangleInput.h>`

## Inherits from

CGAL::Qt::GraphicsViewInput.

## Definition

An object of type `GraphicsViewIsoRectangleInput` creates an axis parallel rectangle.

Template Parameters

  K | must be a model of `Kernel`.

## Creation
| GraphicsViewIsoRectangleInput (QObject *p, QGraphicsScene *s)

## Signals
void | generate (Object o)
| The object `o` contains a `K::Iso_rectangle_2`.

## Additional Inherited Members
Public Member Functions inherited from CGAL::Qt::GraphicsViewInput
void | generate (Object)
| A signal that emits a `CGAL::Object`.

## Constructor & Destructor Documentation

template<typename K >

CGAL::Qt::GraphicsViewIsoRectangleInput< K >::GraphicsViewIsoRectangleInput | ( | QObject * | p,
|  | QGraphicsScene * | s
| ) |  |

Parameters

  p | is a parent object.
  s | is the scene where the iso rectangle is generated.